Retrieve an event
curl --request GET \
--url https://api.sandbox.lead.bank/v1/event/{event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v1/event/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v1/event/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"event": "ach.processing",
"created_at": "<string>",
"object_version": "<string>",
"object": {}
}Events
Retrieve an Event
Retrieves an event object.
GET
/
v1
/
event
/
{event_id}
Retrieve an event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the Event object you want to retrieve.
Pattern:
^event_\w+$Example:
"event_xyz001"
Response
200 - application/json
An Event object.
ID of the Event object.
The type of event.
Available options:
ach.processing, ach.submitted, ach.posted, ach.under_review, ach.approved, ach.rejected, ach.pending_return, ach.returned, ach.corrected, ach.canceled, ach.scheduled, ach.return_dishonored, ach.return_contested, account_number.created, account_number.activated, account_number.deactivated, internal_transfer.succeeded, internal_transfer.failed, internal_transfer.posted, internal_transfer.rejected, lending.disbursement.processing, lending.disbursement.succeeded, lending.disbursement.failed, lending.disbursement.ach_correction, wire.created, wire.under_review, wire.scheduled, wire.processing, wire.posted, wire.rejected, wire.canceled, wire.cancel_pending, instant_payment.posted, instant_payment.rejected, instant_payment.under_review, instant_payment.counterparty_status_updated, instant_payment.return_request_response_needed, instant_payment.return_request_status_updated, funding.posted, funding.rejected, blockchain_payment.payment_created, blockchain_payment.payment_under_review, blockchain_payment.payment_awaiting_funds, blockchain_payment.payment_submitted, blockchain_payment.payment_posted, blockchain_payment.payment_rejected, blockchain_payment.payment_canceled Timestamp at which the Event object was created.
Version of the resource object included in the event.
The object associated with this event.
Was this page helpful?

